Linux polon 4.19.0-27-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
Apache/2.4.59 (Debian)
: 10.2.73.233 | : 216.73.216.105
Cant Read [ /etc/named.conf ]
5.6.40-64+0~20230107.71+debian10~1.gbp673146
ifk
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
a2disconf
15.89
KB
-rwxr-xr-x
a2dismod
15.89
KB
-rwxr-xr-x
a2dissite
15.89
KB
-rwxr-xr-x
a2enconf
15.89
KB
-rwxr-xr-x
a2enmod
15.89
KB
-rwxr-xr-x
a2ensite
15.89
KB
-rwxr-xr-x
a2query
9.64
KB
-rwxr-xr-x
aa-remove-unknown
3
KB
-rwxr-xr-x
aa-status
8.63
KB
-rwxr-xr-x
aa-teardown
139
B
-rwxr-xr-x
accessdb
14.23
KB
-rwxr-xr-x
acpid
54.71
KB
-rwxr-xr-x
add-shell
860
B
-rwxr-xr-x
addgnupghome
3
KB
-rwxr-xr-x
addgroup
33.71
KB
-rwxr-xr-x
adduser
33.71
KB
-rwxr-xr-x
apache2
707.95
KB
-rwxr-xr-x
apache2ctl
7.06
KB
-rwxr-xr-x
apachectl
7.06
KB
-rwxr-xr-x
apparmor_status
8.63
KB
-rwxr-xr-x
applygnupgdefaults
2.17
KB
-rwxr-xr-x
arp
65.93
KB
-rwxr-xr-x
arpd
75.13
KB
-rwxr-xr-x
arptables
217.42
KB
-rwxr-xr-x
arptables-nft
217.42
KB
-rwxr-xr-x
arptables-nft-restore
217.42
KB
-rwxr-xr-x
arptables-nft-save
217.42
KB
-rwxr-xr-x
arptables-restore
217.42
KB
-rwxr-xr-x
arptables-save
217.42
KB
-rwxr-xr-x
aspell-autobuildhash
13.22
KB
-rwxr-xr-x
atd
30.01
KB
-rwxr-xr-x
biosdecode
22.9
KB
-rwxr-xr-x
blkmapd
30.53
KB
-rwxr-xr-x
check_forensic
952
B
-rwxr-xr-x
chgpasswd
57.83
KB
-rwxr-xr-x
chmem
58.08
KB
-rwxr-xr-x
chpasswd
53.86
KB
-rwxr-xr-x
chroot
42.75
KB
-rwxr-xr-x
cpgr
55.96
KB
-rwxr-xr-x
cppw
55.96
KB
-rwxr-xr-x
cron
54.48
KB
-rwxr-xr-x
dbconfig-generate-include
12.37
KB
-rwxr-xr-x
dbconfig-load-include
5.57
KB
-rwxr-xr-x
delgroup
15.41
KB
-rwxr-xr-x
deluser
15.41
KB
-rwxr-xr-x
dkms
138.51
KB
-rwxr-xr-x
dmidecode
114.7
KB
-rwxr-xr-x
dpkg-preconfigure
3.58
KB
-rwxr-xr-x
dpkg-reconfigure
4.34
KB
-rwxr-xr-x
e2freefrag
14.07
KB
-rwxr-xr-x
e4crypt
26.07
KB
-rwxr-xr-x
e4defrag
33.99
KB
-rwxr-xr-x
ebtables
217.42
KB
-rwxr-xr-x
ebtables-nft
217.42
KB
-rwxr-xr-x
ebtables-nft-restore
217.42
KB
-rwxr-xr-x
ebtables-nft-save
217.42
KB
-rwxr-xr-x
ebtables-restore
217.42
KB
-rwxr-xr-x
ebtables-save
217.42
KB
-rwxr-xr-x
exicyclog
11.03
KB
-rwxr-xr-x
exigrep
10.25
KB
-rwxr-xr-x
exim
1.13
MB
-rwsr-xr-x
exim4
1.13
MB
-rwsr-xr-x
exim_checkaccess
4.74
KB
-rwxr-xr-x
exim_convert4r4
72.76
KB
-rwxr-xr-x
exim_dbmbuild
18
KB
-rwxr-xr-x
exim_dumpdb
22.01
KB
-rwxr-xr-x
exim_fixdb
26.01
KB
-rwxr-xr-x
exim_lock
17.99
KB
-rwxr-xr-x
exim_tidydb
22.01
KB
-rwxr-xr-x
eximstats
148.03
KB
-rwxr-xr-x
exinext
8.08
KB
-rwxr-xr-x
exipick
58.93
KB
-rwxr-xr-x
exiqgrep
5.1
KB
-rwxr-xr-x
exiqsumm
5.04
KB
-rwxr-xr-x
exiwhat
4.34
KB
-rwxr-xr-x
fdformat
34.08
KB
-rwxr-xr-x
filefrag
18.02
KB
-rwxr-xr-x
firewalld
6.86
KB
-rwxr-xr-x
genl
79.05
KB
-rwxr-xr-x
groupadd
65.89
KB
-rwxr-xr-x
groupdel
57.68
KB
-rwxr-xr-x
groupmems
57.87
KB
-rwxr-xr-x
groupmod
72.18
KB
-rwxr-xr-x
grpck
57.8
KB
-rwxr-xr-x
grpconv
53.68
KB
-rwxr-xr-x
grpunconv
53.68
KB
-rwxr-xr-x
grub-bios-setup
926.37
KB
-rwxr-xr-x
grub-install
1.13
MB
-rwxr-xr-x
grub-macbless
914.02
KB
-rwxr-xr-x
grub-mkconfig
8.42
KB
-rwxr-xr-x
grub-mkdevicemap
212.49
KB
-rwxr-xr-x
grub-probe
926.34
KB
-rwxr-xr-x
grub-reboot
4.73
KB
-rwxr-xr-x
grub-set-default
3.47
KB
-rwxr-xr-x
httxt2dbm
13.99
KB
-rwxr-xr-x
iconvconfig
30.66
KB
-rwxr-xr-x
iftop
66.65
KB
-rwxr-xr-x
invoke-rc.d
16.64
KB
-rwxr-xr-x
ip6tables
100.68
KB
-rwxr-xr-x
ip6tables-apply
6.89
KB
-rwxr-xr-x
ip6tables-legacy
100.68
KB
-rwxr-xr-x
ip6tables-legacy-restore
100.68
KB
-rwxr-xr-x
ip6tables-legacy-save
100.68
KB
-rwxr-xr-x
ip6tables-nft
217.42
KB
-rwxr-xr-x
ip6tables-nft-restore
217.42
KB
-rwxr-xr-x
ip6tables-nft-save
217.42
KB
-rwxr-xr-x
ip6tables-restore
100.68
KB
-rwxr-xr-x
ip6tables-restore-translate
217.42
KB
-rwxr-xr-x
ip6tables-save
100.68
KB
-rwxr-xr-x
ip6tables-translate
217.42
KB
-rwxr-xr-x
iptables
100.68
KB
-rwxr-xr-x
iptables-apply
6.89
KB
-rwxr-xr-x
iptables-legacy
100.68
KB
-rwxr-xr-x
iptables-legacy-restore
100.68
KB
-rwxr-xr-x
iptables-legacy-save
100.68
KB
-rwxr-xr-x
iptables-nft
217.42
KB
-rwxr-xr-x
iptables-nft-restore
217.42
KB
-rwxr-xr-x
iptables-nft-save
217.42
KB
-rwxr-xr-x
iptables-restore
100.68
KB
-rwxr-xr-x
iptables-restore-translate
217.42
KB
-rwxr-xr-x
iptables-save
100.68
KB
-rwxr-xr-x
iptables-translate
217.42
KB
-rwxr-xr-x
iptaccount
10.3
KB
-rwxr-xr-x
iptraf-ng
160.01
KB
-rwxr-xr-x
irqbalance
63.41
KB
-rwxr-xr-x
irqbalance-ui
34.67
KB
-rwxr-xr-x
ispell-autobuildhash
15.39
KB
-rwxr-xr-x
ldattach
30.08
KB
-rwxr-xr-x
locale-gen
1.5
KB
-rwxr-xr-x
logrotate
82.09
KB
-rwxr-xr-x
make-ssl-cert
3.78
KB
-rwxr-xr-x
mkinitramfs
11.13
KB
-rwxr-xr-x
mklost+found
13.99
KB
-rwxr-xr-x
mountstats
35.03
KB
-rwxr-xr-x
mysqld
19.99
MB
-rwxr-xr-x
netfilter-persistent
1.04
KB
-rwxr-xr-x
nethogs
58.2
KB
-rwxr-xr-x
newusers
86.39
KB
-rwxr-xr-x
nfacct
21.99
KB
-rwxr-xr-x
nfnl_osf
17.99
KB
-rwxr-xr-x
nfsidmap
22.59
KB
-rwxr-xr-x
nfsiostat
23.35
KB
-rwxr-xr-x
nfsstat
33.26
KB
-rwxr-xr-x
nft
18.07
KB
-rwxr-xr-x
nologin
13.99
KB
-rwxr-xr-x
ownership
14.13
KB
-rwxr-xr-x
pam-auth-update
19.78
KB
-rwxr-xr-x
pam_getenv
2.82
KB
-rwxr-xr-x
pam_timestamp_check
14.3
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
php-fpm5.6
4.35
MB
-rwxr-xr-x
php-fpm7.0
4.28
MB
-rwxr-xr-x
php-fpm7.2
4.76
MB
-rwxr-xr-x
php-fpm7.3
4.56
MB
-rwxr-xr-x
php-fpm7.4
4.52
MB
-rwxr-xr-x
php-fpm8.2
5.34
MB
-rwxr-xr-x
php5dismod
6.21
KB
-rwxr-xr-x
php5enmod
6.21
KB
-rwxr-xr-x
php5query
5.05
KB
-rwxr-xr-x
phpdismod
7.11
KB
-rwxr-xr-x
phpenmod
7.11
KB
-rwxr-xr-x
phpquery
6.24
KB
-rwxr-xr-x
pma-configure
299
B
-rwxr-xr-x
pma-secure
157
B
-rwxr-xr-x
pwck
53.8
KB
-rwxr-xr-x
pwconv
49.7
KB
-rwxr-xr-x
pwunconv
49.68
KB
-rwxr-xr-x
readprofile
22.11
KB
-rwxr-xr-x
remove-default-ispell
2.86
KB
-rwxr-xr-x
remove-default-wordlist
2.86
KB
-rwxr-xr-x
remove-shell
904
B
-rwxr-xr-x
rmail
1.13
MB
-rwsr-xr-x
rmt
58.96
KB
-rwxr-xr-x
rmt-tar
58.96
KB
-rwxr-xr-x
rpc.gssd
75.78
KB
-rwxr-xr-x
rpc.idmapd
39.16
KB
-rwxr-xr-x
rpc.svcgssd
34.95
KB
-rwxr-xr-x
rpcdebug
18.33
KB
-rwxr-xr-x
rpcinfo
34.16
KB
-rwxr-xr-x
rsmtp
1.13
MB
-rwsr-xr-x
rsyslogd
685.64
KB
-rwxr-xr-x
rtcwake
46.08
KB
-rwxr-xr-x
runq
1.13
MB
-rwsr-xr-x
rvnamed-ng
14.34
KB
-rwxr-xr-x
saned
54.28
KB
-rwxr-xr-x
select-default-ispell
3.23
KB
-rwxr-xr-x
select-default-wordlist
3.21
KB
-rwxr-xr-x
sendmail
1.13
MB
-rwsr-xr-x
service
9.05
KB
-rwxr-xr-x
setvesablank
14.3
KB
-rwxr-xr-x
split-logfile
2.36
KB
-rwxr-xr-x
sshd
792.41
KB
-rwxr-xr-x
start-statd
838
B
-rwxr-xr-x
syslog2eximlog
1.41
KB
-rwxr-xr-x
tarcat
936
B
-rwxr-xr-x
tcptraceroute
1.56
KB
-rwxr-xr-x
tcptraceroute.db
1.56
KB
-rwxr-xr-x
traceroute
67.16
KB
-rwxr-xr-x
tzconfig
106
B
-rwxr-xr-x
update-ca-certificates
5.18
KB
-rwxr-xr-x
update-default-aspell
1
KB
-rwxr-xr-x
update-default-ispell
9.68
KB
-rwxr-xr-x
update-default-wordlist
7.5
KB
-rwxr-xr-x
update-dictcommon-aspell
1
KB
-rwxr-xr-x
update-dictcommon-hunspell
782
B
-rwxr-xr-x
update-exim4.conf
14.72
KB
-rwxr-xr-x
update-exim4.conf.template
3.33
KB
-rwxr-xr-x
update-exim4defaults
8.2
KB
-rwxr-xr-x
update-fmtutil
9.58
KB
-rwxr-xr-x
update-grub
64
B
-rwxr-xr-x
update-grub2
64
B
-rwxr-xr-x
update-gsfontmap
470
B
-rwxr-xr-x
update-icon-caches
596
B
-rwxr-xr-x
update-inetd
5.83
KB
-rwxr-xr-x
update-info-dir
1.66
KB
-rwxr-xr-x
update-initramfs
7.16
KB
-rwxr-xr-x
update-java-alternatives
3.09
KB
-rwxr-xr-x
update-language
9.37
KB
-rwxr-xr-x
update-language-dat
9.37
KB
-rwxr-xr-x
update-language-def
9.37
KB
-rwxr-xr-x
update-language-lua
9.37
KB
-rwxr-xr-x
update-locale
2.99
KB
-rwxr-xr-x
update-mime
8.84
KB
-rwxr-xr-x
update-passwd
34.41
KB
-rwxr-xr-x
update-pciids
2.84
KB
-rwxr-xr-x
update-python-modules
19.33
KB
-rwxr-xr-x
update-rc.d
16.76
KB
-rwxr-xr-x
update-texmf
2.6
KB
-rwxr-xr-x
update-texmf-config
1.5
KB
-rwxr-xr-x
update-tl-stacked-conffile
9.58
KB
-rwxr-xr-x
update-updmap
9.58
KB
-rwxr-xr-x
upgrade-from-grub-legacy
1.56
KB
-rwxr-xr-x
useradd
127.25
KB
-rwxr-xr-x
userdel
90.45
KB
-rwxr-xr-x
usermod
123.06
KB
-rwxr-xr-x
validlocale
1.73
KB
-rwxr-xr-x
vcstime
14.18
KB
-rwxr-xr-x
vigr
60.18
KB
-rwxr-xr-x
vipw
60.18
KB
-rwxr-xr-x
visudo
205.79
KB
-rwxr-xr-x
vpddecode
14.27
KB
-rwxr-xr-x
xtables-legacy-multi
100.68
KB
-rwxr-xr-x
xtables-monitor
217.42
KB
-rwxr-xr-x
xtables-nft-multi
217.42
KB
-rwxr-xr-x
zic
54.55
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : iptables-apply
#!/bin/bash # iptables-apply -- a safer way to update iptables remotely # # Usage: # iptables-apply [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} # # Versions: # * 1.0 Copyright 2006 Martin F. Krafft <madduck@madduck.net> # Original version # * 1.1 Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/> # Added parameter -c (run command) # Added parameter -w (save successfully applied rules to file) # Major code cleanup # # Released under the terms of the Artistic Licence 2.0 # set -eu PROGNAME="${0##*/}" VERSION=1.1 ### Default settings DEF_TIMEOUT=10 MODE=0 # apply rulesfile mode # MODE=1 # run command mode case "$PROGNAME" in (*6*) SAVE=ip6tables-save RESTORE=ip6tables-restore DEF_RULESFILE="/etc/network/ip6tables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/ip6tables.up.run" ;; (*) SAVE=iptables-save RESTORE=iptables-restore DEF_RULESFILE="/etc/network/iptables.up.rules" DEF_SAVEFILE="$DEF_RULESFILE" DEF_RUNCMD="/etc/network/iptables.up.run" ;; esac ### Functions function blurb() { cat <<-__EOF__ $PROGNAME $VERSION -- a safer way to update iptables remotely __EOF__ } function copyright() { cat <<-__EOF__ $PROGNAME has been published under the terms of the Artistic Licence 2.0. Original version - Copyright 2006 Martin F. Krafft <madduck@madduck.net>. Version 1.1 - Copyright 2010 GW <gw.2010@tnode.com or http://gw.tnode.com/>. __EOF__ } function about() { blurb echo copyright } function usage() { blurb echo cat <<-__EOF__ Usage: $PROGNAME [-hV] [-t timeout] [-w savefile] {[rulesfile]|-c [runcmd]} The script will try to apply a new rulesfile (as output by iptables-save, read by iptables-restore) or run a command to configure iptables and then prompt the user whether the changes are okay. If the new iptables rules cut the existing connection, the user will not be able to answer affirmatively. In this case, the script rolls back to the previous working iptables rules after the timeout expires. Successfully applied rules can also be written to savefile and later used to roll back to this state. This can be used to implement a store last good configuration mechanism when experimenting with an iptables setup script: $PROGNAME -w $DEF_SAVEFILE -c $DEF_RUNCMD When called as ip6tables-apply, the script will use ip6tables-save/-restore and IPv6 default values instead. Default value for rulesfile is '$DEF_RULESFILE'. Options: -t seconds, --timeout seconds Specify the timeout in seconds (default: $DEF_TIMEOUT). -w savefile, --write savefile Specify the savefile where successfully applied rules will be written to (default if empty string is given: $DEF_SAVEFILE). -c runcmd, --command runcmd Run command runcmd to configure iptables instead of applying a rulesfile (default: $DEF_RUNCMD). -h, --help Display this help text. -V, --version Display version information. __EOF__ } function checkcommands() { for cmd in "${COMMANDS[@]}"; do if ! command -v "$cmd" >/dev/null; then echo "Error: needed command not found: $cmd" >&2 exit 127 fi done } function revertrules() { echo -n "Reverting to old iptables rules... " "$RESTORE" <"$TMPFILE" echo "done." } ### Parsing and checking parameters TIMEOUT="$DEF_TIMEOUT" SAVEFILE="" SHORTOPTS="t:w:chV"; LONGOPTS="timeout:,write:,command,help,version"; OPTS=$(getopt -s bash -o "$SHORTOPTS" -l "$LONGOPTS" -n "$PROGNAME" -- "$@") || exit $? for opt in $OPTS; do case "$opt" in (-*) unset OPT_STATE ;; (*) case "${OPT_STATE:-}" in (SET_TIMEOUT) eval TIMEOUT=$opt;; (SET_SAVEFILE) eval SAVEFILE=$opt [ -z "$SAVEFILE" ] && SAVEFILE="$DEF_SAVEFILE" ;; esac ;; esac case "$opt" in (-t|--timeout) OPT_STATE="SET_TIMEOUT";; (-w|--write) OPT_STATE="SET_SAVEFILE";; (-c|--command) MODE=1;; (-h|--help) usage >&2; exit 0;; (-V|--version) about >&2; exit 0;; (--) break;; esac shift done # Validate parameters if [ "$TIMEOUT" -ge 0 ] 2>/dev/null; then TIMEOUT=$(($TIMEOUT)) else echo "Error: timeout must be a positive number" >&2 exit 1 fi if [ -n "$SAVEFILE" -a -e "$SAVEFILE" -a ! -w "$SAVEFILE" ]; then echo "Error: savefile not writable: $SAVEFILE" >&2 exit 8 fi case "$MODE" in (1) # Treat parameter as runcmd (run command mode) RUNCMD="${1:-$DEF_RUNCMD}" if [ ! -x "$RUNCMD" ]; then echo "Error: runcmd not executable: $RUNCMD" >&2 exit 6 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE" "$RUNCMD") checkcommands ;; (*) # Treat parameter as rulesfile (apply rulesfile mode) RULESFILE="${1:-$DEF_RULESFILE}"; if [ ! -r "$RULESFILE" ]; then echo "Error: rulesfile not readable: $RULESFILE" >&2 exit 2 fi # Needed commands COMMANDS=(mktemp "$SAVE" "$RESTORE") checkcommands ;; esac ### Begin work # Store old iptables rules to temporary file TMPFILE=`mktemp /tmp/$PROGNAME-XXXXXXXX` trap "rm -f $TMPFILE" EXIT HUP INT QUIT ILL TRAP ABRT BUS \ FPE USR1 SEGV USR2 PIPE ALRM TERM if ! "$SAVE" >"$TMPFILE"; then # An error occured if ! grep -q ipt /proc/modules 2>/dev/null; then echo "Error: iptables support lacking from the kernel" >&2 exit 3 else echo "Error: unknown error saving old iptables rules: $TMPFILE" >&2 exit 4 fi fi # Legacy to stop the fail2ban daemon if present [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban stop # Configure iptables case "$MODE" in (1) # Run command in background and kill it if it times out echo -n "Running command '$RUNCMD'... " "$RUNCMD" & CMD_PID=$! ( sleep "$TIMEOUT"; kill "$CMD_PID" 2>/dev/null; exit 0 ) & CMDTIMEOUT_PID=$! if ! wait "$CMD_PID"; then echo "failed." echo "Error: unknown error running command: $RUNCMD" >&2 revertrules exit 7 else echo "done." fi ;; (*) # Apply iptables rulesfile echo -n "Applying new iptables rules from '$RULESFILE'... " if ! "$RESTORE" <"$RULESFILE"; then echo "failed." echo "Error: unknown error applying new iptables rules: $RULESFILE" >&2 revertrules exit 5 else echo "done." fi ;; esac # Prompt user for confirmation echo -n "Can you establish NEW connections to the machine? (y/N) " read -n1 -t "$TIMEOUT" ret 2>&1 || : case "${ret:-}" in (y*|Y*) # Success echo if [ ! -z "$SAVEFILE" ]; then # Write successfully applied rules to the savefile echo "Writing successfully applied rules to '$SAVEFILE'..." if ! "$SAVE" >"$SAVEFILE"; then echo "Error: unknown error writing successfully applied rules: $SAVEFILE" >&2 exit 9 fi fi echo "... then my job is done. See you next time." ;; (*) # Failed echo if [ -z "${ret:-}" ]; then echo "Timeout! Something happened (or did not). Better play it safe..." else echo "No affirmative response! Better play it safe..." fi revertrules exit 255 ;; esac # Legacy to start the fail2ban daemon again [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban start exit 0 # vim:noet:sw=8
Close